﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Threading;
using System.Windows.Input;

namespace ComboBoxLoadTest
{
    public class Window1ViewModel : INotifyPropertyChanged
    {
        private List<string> locationcomboData;
        public List<string> LocationComboData
        {
            get
            {
                if (locationcomboData == null)
                {
                    locationcomboData = new List<string>();
                    locationcomboData.Add("Location 1");
                    locationcomboData.Add("Location 2");
                    locationcomboData.Add("Location 3");
                }

                return locationcomboData;
            }
        }

        private string selectedItem;
        public string ComboSelectedItem
        {
            get
            {
                return selectedItem;
            }
            set
            {
                if (selectedItem != value)
                {
                    selectedItem = value;
                    FirePropertyChanged("ComboSelectedItem");
                }
            }
        }

        #region INotifyPropertyChanged Members
        
        public event PropertyChangedEventHandler PropertyChanged;

        protected void FirePropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion

    }
}
